/* AppLayout */
import AppLayout from "@/layout/app/index.vue";

/* MainDefaultLayout */
import MainDefaultLayout from "@/layout/main/default/index.vue";

export default [
  //活动管理
  {
    path: "/hdlb",
    // name: 'hdlb',
    component: AppLayout,
    meta: { title: "活动管理", icon: "el-icon-document" },
    // redirect: '/hdlb',
    hidden: true,
    children: [{
        path: "hdlxgl",
        // name: 'hdlxgl',
        component: MainDefaultLayout,
        children: [{
          path: "",
          name: "hdlxgl",
          component: () =>
            import ("@/views/xtgl/hdlxgl/index.vue"),
          meta: { title: "活动类型管理", roles: ["JLD"] },
        }, ],
      },
      {
        path: "pfmb",
        // name: 'pfmb',
        component: MainDefaultLayout,
        meta: {
          roles: ["JLD"]
        },
        children: [{
            path: "",
            name: "pfmb",
            component: () =>
              import ("@/views/xtgl/pfmb/index.vue"),
            meta: { title: "评分模板" },
          },
          {
            path: "edit/:hp_id",
            name: "pfmb_edit",
            hidden: true,
            component: () =>
              import ("@/views/xtgl/pfmb/edit/index.vue"),
            meta: { title: "管理评分模板" },
            props: true,
          },
        ],
      },
      {
        path: "",
        name: "hdlb",
        component: () =>
          import ("@/views/hdlb/index.vue"),
        meta: { title: "活动列表" },
      },
      {
        path: "hdfq",
        name: "hdfq",
        hidden: true,
        component: () =>
          import ("@/views/hdlb/hdfq/index.vue"),
        meta: { title: "活动发起", roles: ["JLD"] },
      },
      {
        path: "hdbj/:hhg_id",
        name: "hdbj",
        hidden: true,
        component: () =>
          import ("@/views/hdlb/hdfq/edit.vue"),
        meta: { title: "活动编辑", roles: ["JLD"] },
        props: true,
      },
      {
        path: "sqjl/:hhg_id",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "申请记录" },
        children: [{
            path: "",
            name: "sqjl",
            component: () =>
              import ("@/views/hdlb/sqjl/index.vue"),
            meta: { title: "申请记录" },
            props: true,
          },
          {
            path: "zjpf/:id",
            name: "zjpf",
            component: () =>
              import ("@/views/hdlb/sqjl/zjpf/index.vue"),
            meta: { title: "专家评分", roles: ["ZJ"] },
            props: true,
          },
        ],
      },

      {
        path: "hdjg/:hhg_id",
        hidden: true,
        // props: true,
        component: MainDefaultLayout,
        meta: { title: "活动结果" },

        children: [{
            path: "",
            name: "hdjg",
            component: () =>
              import ("@/views/hdlb/hdjg/index.vue"),
            meta: { title: "活动结果" },
            props: true,
          },
          {
            path: "add",
            name: "hdjg_add",
            component: () =>
              import ("@/views/hdlb/hdjg/add/index.vue"),
            meta: { title: "新增活动结果" },
            props: true,
          },
          {
            path: "edit/:hb_id",
            name: "hdjg_edit",
            component: () =>
              import ("@/views/hdlb/hdjg/edit/index.vue"),
            meta: { title: "修改活动结果" },
            props: true,
          },
          {
            path: "xgpf/:hb_id",
            name: "hdjg_xgpf",
            component: () =>
              import ("@/views/hdlb/hdjg/xgpf/index.vue"),
            meta: { title: "修改评分" },
            props: true,
          },
        ],
      },
    ],
  },
  // 系统管理
  {
    path: "/xtgl",
    component: AppLayout,
    redirect: "/xtgl/zzjg",
    name: "xtgl",
    meta: { title: "系统管理", icon: "el-icon-setting", roles: ["JLD"] },
    hidden: true,
    children: [{
        path: "zzjg",
        // name: 'zzjg',
        component: MainDefaultLayout,
        meta: { title: "组织架构" },
        children: [{
          path: "",
          name: "zzjg",
          component: () =>
            import ("@/views/xtgl/zzjg/index.vue"),
          meta: { title: "组织架构" },
        }, ],
      },
      {
        path: "rzgl",
        // name: 'rzgl',
        component: MainDefaultLayout,
        meta: { title: "日志管理" },
        children: [{
          path: "",
          name: "rzgl",
          component: () =>
            import ("@/views/xtgl/rzgl/index.vue"),
          meta: { title: "日志管理" },
        }, ],
      },
      {
        path: "zdb",
        // name: 'zdb',
        component: MainDefaultLayout,
        meta: { title: "字典表" },
        children: [{
          path: "",
          name: "zdb",
          component: () =>
            import ("@/views/xtgl/zdb/index.vue"),
          meta: { title: "字典表" },
        }, ],
      },
    ],
  },
  // 门户管理
  {
    path: "/mhgl",
    component: AppLayout,
    redirect: "/mhgl/tzgg",
    name: "mhgl",
    meta: {
      title: "门户管理",
      icon: "el-icon-document-copy",
      roles: ["JLD"],
    },
    hidden: true,
    children: [{
        path: "tzgg",
        // name: 'tzgg',
        component: MainDefaultLayout,
        meta: { title: "通知公告", roles: ["JLD"] },
        children: [{
          path: "",
          name: "tzgg",
          component: () =>
            import ("@/views/mhgl/tzgg/index.vue"),
          meta: { title: "通知公告" },
        }, ],
      },
      {
        path: "hdgg",
        // name: 'hdgg',
        component: MainDefaultLayout,
        meta: { title: "活动公告", roles: ["JLD"] },
        children: [{
          path: "",
          name: "hdgg",
          component: () =>
            import ("@/views/mhgl/hdgg/index.vue"),
          meta: { title: "活动公告" },
        }, ],
      },
      {
        path: "yxzp",
        // name: 'yxzp',
        component: MainDefaultLayout,
        meta: { title: "优秀作品", roles: ["JLD"] },
        children: [{
          path: "",
          name: "yxzp",
          component: () =>
            import ("@/views/mhgl/yxzp/index.vue"),
          meta: { title: "优秀作品" },
        }, ],
      },
      {
        path: "wjdc",
        // name: 'wjdc',
        component: MainDefaultLayout,
        meta: { title: "问卷调查", roles: ["JLD"] },
        children: [{
            path: "",
            name: "wjdc",
            component: () =>
              import ("@/views/mhgl/wjdc/index.vue"),
            meta: { title: "问卷调查" },
          },
          {
            path: "add",
            name: "wjdc_add",
            hidden: true,
            component: () =>
              import ("@/views/mhgl/wjdc/add/index.vue"),
            meta: { title: "新增问卷调查" },
            props: true,
          },
          {
            path: "edit/:id",
            name: "wjdc_edit",
            hidden: true,
            component: () =>
              import ("@/views/mhgl/wjdc/edit/index.vue"),
            meta: { title: "修改问卷调查" },
            props: true,
          },
        ],
      },
      {
        path: "tplb",
        // name: 'tplb',
        component: MainDefaultLayout,
        meta: { title: "投票列表", roles: ["JLD"] },
        children: [{
            path: "",
            name: "tplb",
            component: () =>
              import ("@/views/mhgl/tplb/index.vue"),
            meta: { title: "投票列表" },
          },
          {
            path: "add",
            name: "tplb_add",
            hidden: true,
            component: () =>
              import ("@/views/mhgl/tplb/add/index.vue"),
            meta: { title: "新增投票列表" },
            props: true,
          },
          {
            path: "edit/:id",
            name: "tplb_edit",
            hidden: true,
            component: () =>
              import ("@/views/mhgl/tplb/edit/index.vue"),
            meta: { title: "修改投票列表" },
            props: true,
          },
        ],
      },
    ],
  },
  //教职工管理(改名为教师档案)
  {
    path: "/jzggl",
    component: AppLayout,
    redirect: "/jzggl/jsgl",
    alwaysShow: true,
    name: "jsda",
    meta: {title: "教师档案",icon: "el-icon-document-copy"},
    children: [
      {
        title: "教师管理",
        path: "jsgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "教师管理"},
        name: "jsgl",
        component: () =>import ("@/views/jzggl/jsgl/index.vue"),
      },
      {
        title: "教师维护",
        path: "jswh",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "教师维护"},
        name: "jswh",
        component: () =>import ("@/views/jzggl/jswh/index.vue"),
      },
      {
        title: "报表管理",
        path: "bbgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "报表管理"},
        name: "bbgl",
        component: () =>import ("@/views/jzggl/bbgl/index.vue"),
      },
      {
        title: "事业单位报表",
        path: "dybb",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "事业单位报表", },
        name: "dybb",
        component: () => import ("@/views/jzggl/dybb/index.vue"),
      },
      {
        title: "干部报表",
        path: "gbbb",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "干部报表", },
        name: "gbbb",
        component: () => import ("@/views/jzggl/gbbb/index.vue"),
      },
      {
        title: "事业单位报表",
        path: "sydwbb",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "事业单位报表"},
        name: "sydwbb",
        component: () => import ("@/views/jzggl/sydwbb/index.vue"),
      },
    ]
  },
  //行政服务
  {
    title: '行政服务',
    path: '/xzfw',
    component: AppLayout,
    redirect: '/xzfw/qjgl',
    alwaysShow: true,
    name: 'xdbg_xzfw',
    meta: { title: '行政服务', icon: "el-icon-document-copy" },
    children: [
      {
        title: "请假管理",
        path: "qjgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "请假管理"},
        name: "qjgl",
        component: () =>import ('@/views/xzfw/qjgl/index.vue'),
      },
      {
        title: "离校管理",
        path: "lxgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "离校管理"},
        name: "lxgl",
        component: () =>import ('@/views/xzfw/lxgl/index.vue'),
      },
      {
        title: "外出管理",
        path: "wcgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "外出管理"},
        name: "wcgl",
        component: () =>import ('@/views/xzfw/wcgl/index.vue'),
      },
      // {
      //   title: "项目审批",
      //   path: "xmsp",
      //   hidden: false,
      //   component: MainDefaultLayout,
      //   meta: { title: "项目审批"},
      //   name: "xmsp",
      //   component: () =>import ('@/views/xzfw/xmsp/index.vue'),
      // },
    ]
  },
  //奖惩管理
  {
    title: '奖惩管理',
    path: '/jcgl',
    component: AppLayout,
    redirect: '/jcgl/jlgl',
    alwaysShow: true,
    name: 'xdbg_jcgl',
    meta: { title: '奖惩管理', icon: "el-icon-document-copy"},
    children: [
      {
        title: "奖励管理",
        path: "jlgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "奖励管理"},
        name: "jlgl",
        component: () =>import ('@/views/jcgl/jlgl/index.vue'),
      },
      {
        title: "惩罚管理",
        path: "cfgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "惩罚管理"},
        name: "cfgl",
        component: () =>import ('@/views/jcgl/cfgl/index.vue'),
      },
      {
        title: "惩罚查询",
        path: "cfcx",
        component: MainDefaultLayout,
        meta: { title: "惩罚查询", },
        hidden: true,
        name: "cfcx",
        component: () =>import ('@/views/jcgl/cfcx/index.vue'),
      },
      {
        title: "荣誉管理",
        path: "rygl",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "荣誉管理", },
        name: "rygl",
        component: () =>import ('@/views/jcgl/rygl/index.vue'),
      },
      {
        title: "惩处管理",
        path: "ccgl",
        hidden: true,
        component: MainDefaultLayout,
        meta: { title: "惩处管理" },
        name: "ccgl",
        component: () =>import ('@/views/jcgl/ccgl/index.vue'),
      },
    ]
  },
  //学校荣誉
  {
    title: '学校荣誉',
    path: '/xxry',
    component: AppLayout,
    redirect: '/xxry/xxry',
    alwaysShow: true,
    name: 'xxry',
    meta: { title: '学校荣誉', icon: 'el-icon-document-copy', noCache: true },
    children: [
      {
        title: "学校荣誉",
        path: "xxry",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "学校荣誉"},
        name: "xxry1",
        component: () =>import ('@/views/xxry/xxry/index.vue'),
      }
    ]
  },
  //工资管理
  {
    title: '工资管理', 
    path: '/gzgl',
    component: AppLayout,
    redirect: '/gzgl/gzgl',
    alwaysShow: true,
    name: 'gzgl',
    meta: { title: '工资管理', icon: 'el-icon-document-copy'},
    children: [
      {
        title: "工资管理",
        path: "gzgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "工资管理" },
        name: "gzgl1",
        component: () =>import ('@/views/gzgl/gzgl/index.vue'),
      },
      {
        title: "工资津贴查询",
        path: "gzjtcx",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "工资津贴查询" },
        name: "gzjtcx",
        component: () =>import ('@/views/gzgl/gzjtcx/index.vue'),
      }
    ]
  },
  //周行事例
  {
    title: '周行事例',
    path: '/zxsl',
    component: AppLayout,
    redirect: '/xxry/xxry',
    alwaysShow: true,
    name: 'zxsl',
    meta: { title: '周行事例', icon: 'el-icon-document-copy'},
    children: [
      {
        title: "周行事例",
        path: "zxsl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "周行事例" },
        name: "zxsl1",
        component: () =>import ('@/views/zxsl/zxsl/index.vue'),
      }
    ]
  },
  //教师发展
  {
    title: '教师发展',
    path: '/jsfz',
    component: AppLayout,
    redirect: '/jsfz/xmgl',
    alwaysShow: true,
    name: 'jsfz',
    meta: { title: '教师发展', icon: 'el-icon-document-copy'},
    children: [
      {
        title: "项目管理",
        path: "xmgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "项目管理"},
        name: "xmgl",
        component: () =>import ('@/views/jsfz/xmgl/index.vue'),
      },
      {
        title: "评定管理",
        path: "pdgl",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "评定管理"},
        name: "pdgl",
        component: () =>import ('@/views/jsfz/pdgl/index.vue'),
      },
      {
        title: "评定报表",
        path: "pdbb",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "评定报表"},
        name: "pdbb",
        component: () =>import ('@/views/jsfz/pdbb/index.vue'),
      }
    ]
  },
  //绩效考核
  {
    title: '绩效考核',
    path: '/jxkh',
    component: AppLayout,
    redirect: '/jxkh/khcssz',
    alwaysShow: true,
    name: 'jxkh',
    meta: { title: '绩效考核', icon: 'el-icon-document-copy', noCache: true },
    children: [
      {
        title: "考核参数设置",
        path: "khcssz",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "考核参数设置"},
        name: "khcssz",
        component: () =>import ('@/views/jxkh/khcssz/index.vue'),
      },
      {
        title: "课时补贴" ,
        path: "ksbt",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "课时补贴", },
        name: "ksbt",
        component: () =>import ('@/views/jxkh/ksbt/index.vue'),
      },
      {
        title: "在线考核",
        path: "zxkh",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "在线考核"},
        name: "zxkh",
        component: () =>import ('@/views/jxkh/zxkh/index.vue'),
      },
      {
        title: "调代课统计",
        path: "tdktj",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "调代课统计"},
        name: "tdktj",
        component: () =>import ('@/views/jxkh/tdktj/index.vue'),
      },
      {
        title: "课时统计",
        path: "kstj",
        hidden: false,
        component: MainDefaultLayout,
        meta: { title: "课时统计"},
        name: "kstj",
        component: () => import ('@/views/jxkh/kstj/index.vue'),
      },
    ]
  },
]