import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jcgl_cfgl/index',
    data:{limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jcgl_cfgl/add',
  data: {xdbg_jcgl_cfgl:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jcgl_cfgl/edit',
  data: {xjc_id:chooseId,xdbg_jcgl_cfgl:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jcgl_cfgl/detail',
  data: { xjc_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jcgl_cfgl/delete',
  data: { xjc_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jcgl_cfgl/index',
  data: keyIn_keyword
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jcgl_cfgl/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href);
  el.click()
};
