import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jcgl_jlgl/index',
    data:{ limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jcgl_jlgl/add',
  data: {xdbg_jcgl_jlgl:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jcgl_jlgl/edit',
  data: {xjj_id:chooseId,xdbg_jcgl_jlgl:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jcgl_jlgl/detail',
  data: { xjj_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jcgl_jlgl/delete',
  data: { xjj_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jcgl_jlgl/index',
  data: keyIn_keyword 
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jcgl_jlgl/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href);
  el.click()
};

//奖励查询-列表数据
export const jlcxQueryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jcgl_jlgl_rygl/index',
    data:{ limit: 10,page: choosePage},
  });
//奖励查询-搜索接口
export const jlcxSearchApi = (keyIn_keyword) => request({
  url: '/xdbg/jcgl_jlgl_rygl/index',
  data: keyIn_keyword 
});