import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jsfz_xmpd/index',
    data:{api:'json',limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jsfz_xmpd/add',
  data: {api:"json",xdbg_jsfz_xmpd:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jsfz_xmpd/edit',
  data: {api:"json",jsfzxm_id:chooseId,xdbg_jsfz_xmpd:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jsfz_xmpd/detail',
  data: {api:'json',jsfzxm_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jsfz_xmpd/delete',
  data: { api:'json',jsfzxm_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jsfz_xmpd/index',
  data:keyIn_keyword
});

//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls', excel_file_name:'教师发展项目管理' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jsfz_xmpd/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
};

//请求组织人员
export const orgPeoQueryApi = (data = {})=> request({
  url: '/user/main/index',
  data:{}
})
//用户列表
export const org_users = (data = {}) =>
request({
    url: '/user/main/index',
    data: {
        dept_id:data.dept_id,
        all:'1',
        page: data.page,
        limit:data.limit
    }
})