import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jxkh_ksbt/index',
    data:{api:'json',limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jxkh_ksbt/add',
  data: {api:"json",xdbg_jxkh_ksbt:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jxkh_ksbt/edit',
  data: {api:"json",xjkt_id:chooseId,xdbg_jxkh_ksbt:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jxkh_ksbt/detail',
  data: {api:'json',xjkt_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jxkh_ksbt/delete',
  data: { api:'json',xjkt_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jxkh_ksbt/index',
  data: { api: 'json', keyword: keyIn_keyword }
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jxkh_ksbt/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
};







