import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (data) =>
  request({
    url: '/xdbg/jxkh_zxkh/index',
    data,
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jxkh_zxkh/add',
  data: {api:"json",xdbg_jxkh_zxkh:data}
});
//编辑接口
export const editApi = (data) => request({
  url: '/xdbg/jxkh_zxkh/edit',
  data
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jxkh_zxkh/detail',
  data: {api:'json',xjz_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jxkh_zxkh/delete',
  data: { api:'json',xjz_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jxkh_zxkh/index',
  data:{ api:'json',keyword:keyIn_keyword}
})

//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jxkh_zxkh/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href);
  el.click()
};