import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/xzfw_qjgl/index',
    data:{limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/xzfw_qjgl/add',
  data: {xdbg_xzfw_qjgl:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/xzfw_qjgl/edit',
  data: {xxq_id:chooseId,xdbg_xzfw_qjgl:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/xzfw_qjgl/detail',
  data: { xxq_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/xzfw_qjgl/delete',
  data: { xxq_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/xzfw_qjgl/index',
  data:keyIn_keyword
})
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls',excel_file_name:'行政管理请假管理'}, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/xzfw_qjgl/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href);
  el.click()
}


//通用-科室列表（组织机构use_org）
export const org_list = (data = {}) =>
  request({
    url: '/user/org/index',
    data
  });
//用户列表
export const org_users = (data) =>
    request({
        url: '/user/main/index',
        data
    })
